> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.americanexpress.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.americanexpress.ferndocs.com/_mcp/server.

# Retrieve a Buyer

GET https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/{buyerId}

Retrieve the details of an existing Buyer record.

Reference: https://developer.americanexpress.ferndocs.com/payment-services/card-on-demand/api-reference/retrieve-buyer

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as `Authorization: Bearer <token>`.

## Servers

- `https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand` (Sandbox, default)
- `https://api.americanexpress.com/commercial/v1/card_on_demand` (Production)

## Request

### Path parameters

- `buyerId` (string, required) — The ID of the Buyer to be returned.

## Response

### 200

Successful operation

- `buyerId` (string, required) — A unique Buyer ID that is created during the Buyer enrollment.
- `name` (string, required) — The legal name of the organization. Alphanumeric characters, special characters ([]?!|$:.-_@*%~#^£¢¤¬(),&) and spaces are allowed.
- `phone` (list of BuyerPhoneItems, required) — The phone details of the Buyer; currently supports only one phone. It can be displayed on the cards sent to the Suppliers via the email delivery method.
- `email` (list of BuyerEmailItems, required) — The email of the Buyer; currently supports only one email. It can be displayed on the cards sent to the Suppliers via the email delivery method.
- `address` (list of BuyerAddressItems, required) — The residential address of the Buyer; currently supports only one address. At least one address with a type of BUSINESS is required. A Buyer cannot have multiple addresses of the same type or same purpose. It can be displayed on the cards sent to the Suppliers via the email delivery method.
- `doingBusinessAsName` (string, optional) — The Doing Business As (DBA) name of the Company. Alphanumeric characters, special characters ([]?!|$:.-_@*%~#^£¢¤¬(),&) and spaces are allowed.
- `governmentId` (string, optional) — A government-provided identifier for the business, like a tax ID, that can be used for pulling spend or transactions for an entity for tax filing, accounting, and other related requirements. Only numeric characters are allowed.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of 400ErrorItems, required)

### 401 Unauthorized Error

Unauthorized

- `errorCode` (string, required) — A machine-readable field indicating the type of error.
- `errorDescription` (string, optional) — Provides a short description of the error.

### 404 Not Found Error

Unauthorized

- `errorCode` (string, required) — A machine-readable field indicating the type of error.
- `errorDescription` (string, optional) — Provides a short description of the error.

### 500 Internal Server Error

Service error

- `errorCode` (string, required) — A machine-readable field indicating the type of error.
- `errorDescription` (string, optional) — Provides a short description of the error.

## Types

### BuyerPhoneItems

- `countryCode` (enum, required) — The country code must be three digits. Only 001 country code will be supported at this time.
  - Allowed values: `001`
- `number` (string, required) — The phone number of the Buyer. Only numeric characters are allowed.
- `type` (enum, required) — Only BUSINESS will be supported.
  - Allowed values: `BUSINESS`

### BuyerEmailItems

- `type` (enum, required) — The type of email; currently supports only BUSINESS.
  - Allowed values: `BUSINESS`
- `emailAddress` (string, required) — The corporate email address of the Buyer being enrolled.

### BuyerAddressItems

- `type` (enum, required) — The means of distinguishing different types of addresses associated with the Buyer being enrolled.
  - Allowed values: `BUSINESS`
- `purpose` (enum, required) — The purpose for which the address will be used.
  - Allowed values: `PRIMARY`
- `line1` (string, required) — The address of the organization. Alphanumeric characters, special characters ([]?!|$:.-_@*%~#^£¢¤¬(),&) and spaces are allowed.
- `city` (string, required) — The city of the Buyer's address.
- `state` (string, required) — The state of the Buyer's address. Only the full state name is accepted; two-character state codes are not allowed.
- `country` (string, required) — The two-letter code of the Buyer's country. Please refer to the Alpha 2 Code column in the [ISO Country Codes](iso-country-codes.pdf) list. Currently, the API only supports U.S. addresses. Support for U.K. addresses is coming soon. e.g., US, UK
- `postalCode` (string, required) — The Postal Code of the Buyer's address. Only numeric values and a hyphen are allowed. Some examples are 85260 or 85260-7706.
- `line2` (string, optional) — Address line two, if applicable. Alphanumeric characters, special characters ([]?!|$:.-_@*%~#^£¢¤¬(),&) and spaces are allowed.

### 400ErrorItems

- `code` (string, required) — A machine-readable field indicating the type of error.
- `message` (string, required) — Provides a short description of the error.
- `detail` (string, optional) — Provides a detailed description of the error.
- `link` (string, optional) — The link to documentation that explains the error.

## Examples

**Response**

```json
{
  "buyerId": "OBpB8D9X93VO03sm",
  "name": "Cavendish Holdings, Inc.",
  "phone": [
    {
      "countryCode": "001",
      "number": "5555551111",
      "type": "BUSINESS"
    }
  ],
  "email": [
    {
      "type": "BUSINESS",
      "emailAddress": "someone@example.com"
    }
  ],
  "address": [
    {
      "type": "BUSINESS",
      "purpose": "PRIMARY",
      "line1": "100 Elm Street",
      "city": "Phoenix",
      "state": "Arizona",
      "country": "US",
      "postalCode": "12345",
      "line2": "Suite A"
    }
  ],
  "doingBusinessAsName": "Cavendish Holdings",
  "governmentId": "7676323222"
}
```

**SDK Code**

```python retrieveBuyer_example
import requests

url = "https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript retrieveBuyer_example
const url = 'https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go retrieveBuyer_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby retrieveBuyer_example
require 'uri'
require 'net/http'

url = URI("https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java retrieveBuyer_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php retrieveBuyer_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp retrieveBuyer_example
using RestSharp;

var client = new RestClient("https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift retrieveBuyer_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.qasb2s.americanexpress.com/commercial/v1/card_on_demand/buyers/OBpB8D9X93VO03sm")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```